Add bank account
Saves a new bank account as a payout method for the calling worker. Fetch the form fields with GET /eor/workers/banks-guide/country/{country}/currency/{currency} for the chosen country and currency first, and use PATCH /eor/workers/banks/{bank_id}, which updates an existing account, instead when changing an account that already exists.
Token scopes: worker:write
Authentication
AuthorizationBearer
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Request
This endpoint expects an object.
data
Array of key value properties of bank account
Response
Successful operation.
data
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error